local BabbleZone = LibStub("LibBabble-Zone-3.0"):GetLookupTable();

-----------------------------------------------------------------------------
-- instance table, if you create a new instance module you must add it here
--usage max 3 levels in the table
--Entry: Instancename,your_module_name, "Submenu"
-----------------------------------------------------------------------------


local L = LibStub("AceLocale-3.0"):GetLocale("BossTactics")

function BossTactics:RegisterInstances()

	self.instanceTable =
		{
		 ["WoW"] = {
		 	["func"] = function (arg1) self:InstanceDropdownClick(arg1) end,
			["values"] = {}
		 },
		 ["BC"] = {
		 	["func"] = function (arg1) self:InstanceDropdownClick(arg1) end,
			["values"] = {
                [BabbleZone["Eastern Kingdoms"]] = {
                        { BabbleZone["Karazhan"], "BT_Kara", "Submenu" },
                        { BabbleZone["Zul'Aman"], "BT_ZA", "Submenu" },
                        { BabbleZone["Sunwell Plateau"], "BT_SW", "Submenu" },
                },
                [BabbleZone["Kalimdor"]] = {
                        { BabbleZone["Hyjal Summit"], "BT_MH", "Submenu" },
                },
                [BabbleZone["Outland"]] = {
                        { BabbleZone["Gruul's Lair"], "BT_Gruul", "Submenu" },
                        { BabbleZone["Magtheridon's Lair"], "BT_Maggi", "Submenu" },
                        { BabbleZone["Serpentshrine Cavern"], "BT_SSC", "Submenu" },
                        { BabbleZone["The Eye"], "BT_Eye", "Submenu" },
                        { BabbleZone["Black Temple"], "BT_BlackTemple", "Submenu" },
                        { L["Outdoor"], "BT_BCout", "Submenu" },
                },
          	},
        },
        ["WOTLK"] = {
		 	["func"] = function (arg1) self:InstanceDropdownClick(arg1) end,
			["values"] = {
                [BabbleZone["Northrend"]] = {
                        { BabbleZone["Naxxramas"], "BT_Naxx", "Submenu" },
                        { BabbleZone["The Obsidian Sanctum"], "BT_Obsid", "Submenu" },
                        { BabbleZone["The Eye of Eternity"], "BT_Malygos", "Submenu" },
                },
          	},
        },
	}

end